(Solved) Ubuntu upgrade broke Trine

For discussion about Trine, firstly released in 2009 for Windows and on PlayStation Network.
thenewguy
Posts: 33
Joined: Sat Sep 18, 2010 11:58 pm

(Solved) Ubuntu upgrade broke Trine

Postby thenewguy » Fri Oct 05, 2012 11:40 pm

I recently upgraded from Ubuntu 10.04 to 12.04 and I have found that, since the upgrade, I have been unable to run Trine. When running the launcher this is the output I see at the console:

./trine-launcher
(trine-launcher64:2455): Gtk-WARNING **: ./lib64/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

(trine-launcher64:2455): Gtk-WARNING **: ./lib64/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)
Segmentation fault (core dumped)


I am running Ubuntu 12.04 64-bit build.
Checking inside Trine's lib64 directory I found the file is says is missing, libstdc++.so.6. And I have full read-write-execute permissions to the file.

Anyone have suggestions on how to correct the above error?
Thanks very much.



Update: I discovered the trine-bin64 file didn't have executable permissions set. Now the game attempts to launch, but I'm getting a pop-up message saying "Renderer initialization failure. See the log for details." Not sure where the log file is kept though.


Further update: After upgrading my NVIDIA drivers Trine now launches and runs okay. We can mark this one as Solved.

Return to “Trine”

Who is online

Users browsing this forum: No registered users and 3 guests